net.i2p.router.transport.udp

## Enum OutboundEstablishState.OutboundState

- java.lang.Object
- - java.lang.Enum<OutboundEstablishState.OutboundState>
  - - net.i2p.router.transport.udp.OutboundEstablishState.OutboundState

- All Implemented Interfaces:
    Serializable, Comparable<OutboundEstablishState.OutboundState>
  Enclosing class:
    OutboundEstablishState

      public static enum OutboundEstablishState.OutboundState
      extends Enum<OutboundEstablishState.OutboundState>

  States for outbound SSU session establishment. Tracks the progression of outgoing connection setup.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OB_STATE_CONFIRMED_COMPLETELY` we have received a data packet
    `OB_STATE_CONFIRMED_PARTIALLY` we have sent one or more confirmation packets
    `OB_STATE_CREATED_RECEIVED` we have received a signed creation packet
    `OB_STATE_INTRODUCED` RelayResponse received
    `OB_STATE_NEEDS_TOKEN` SSU2: We don't have a token
    `OB_STATE_PENDING_INTRO` we need to have someone introduce us to the peer, but haven't received a RelayResponse yet
    `OB_STATE_REQUEST_SENT` we have sent an initial request
    `OB_STATE_REQUEST_SENT_NEW_TOKEN` SSU2: We have sent a session request after receiving a retry
    `OB_STATE_RETRY_RECEIVED` SSU2: We have received a retry
    `OB_STATE_TOKEN_REQUEST_SENT` SSU2: We have sent a token request
    `OB_STATE_UNKNOWN` nothin sent yet
    `OB_STATE_VALIDATION_FAILED` SessionConfirmed failed validation

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OutboundEstablishState.OutboundState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OutboundEstablishState.OutboundState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OB_STATE_CONFIRMED_COMPLETELY

          public static final OutboundEstablishState.OutboundState OB_STATE_CONFIRMED_COMPLETELY

      we have received a data packet

    - #### OB_STATE_CONFIRMED_PARTIALLY

          public static final OutboundEstablishState.OutboundState OB_STATE_CONFIRMED_PARTIALLY

      we have sent one or more confirmation packets

    - #### OB_STATE_CREATED_RECEIVED

          public static final OutboundEstablishState.OutboundState OB_STATE_CREATED_RECEIVED

      we have received a signed creation packet

    - #### OB_STATE_INTRODUCED

          public static final OutboundEstablishState.OutboundState OB_STATE_INTRODUCED

      RelayResponse received

    - #### OB_STATE_NEEDS_TOKEN

          public static final OutboundEstablishState.OutboundState OB_STATE_NEEDS_TOKEN

      SSU2: We don't have a token

    - #### OB_STATE_PENDING_INTRO

          public static final OutboundEstablishState.OutboundState OB_STATE_PENDING_INTRO

      we need to have someone introduce us to the peer, but haven't received a RelayResponse yet

    - #### OB_STATE_REQUEST_SENT

          public static final OutboundEstablishState.OutboundState OB_STATE_REQUEST_SENT

      we have sent an initial request

    - #### OB_STATE_REQUEST_SENT_NEW_TOKEN

          public static final OutboundEstablishState.OutboundState OB_STATE_REQUEST_SENT_NEW_TOKEN

      SSU2: We have sent a session request after receiving a retry

    - #### OB_STATE_RETRY_RECEIVED

          public static final OutboundEstablishState.OutboundState OB_STATE_RETRY_RECEIVED

      SSU2: We have received a retry

    - #### OB_STATE_TOKEN_REQUEST_SENT

          public static final OutboundEstablishState.OutboundState OB_STATE_TOKEN_REQUEST_SENT

      SSU2: We have sent a token request

    - #### OB_STATE_UNKNOWN

          public static final OutboundEstablishState.OutboundState OB_STATE_UNKNOWN

      nothin sent yet

    - #### OB_STATE_VALIDATION_FAILED

          public static final OutboundEstablishState.OutboundState OB_STATE_VALIDATION_FAILED

      SessionConfirmed failed validation

  - ### Method Detail

    - #### valueOf

          public static OutboundEstablishState.OutboundState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static OutboundEstablishState.OutboundState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OutboundEstablishState.OutboundState c : OutboundEstablishState.OutboundState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared